<?php


namespace App\Model\Crates\WorldOfWarcraft;


use stdClass;

class Boss
{
    /** @var  stdClass */
    protected $data;

    public function __construct($data)
    {
        $this->data = $data;
    }

    public function getName() : string
    {
        if (empty($this->data->name)) {
            return "Wardens of the Dream";  // Sunken Temple drakes empty name fix
        }
        return $this->data->name;
    }
}